
Cook: liblrdf 0.4.0
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): libxml2-2.9.4
Installing (pkg/local): libidn2-2.0.0
Installing (pkg/local): libssh2-1.8.0
Installing (pkg/local): libcurl-7.55.1
Installing (pkg/local): curl-7.55.1
Installing (pkg/local): libgpg-error-1.27
Installing (pkg/local): libgcrypt-1.8.1
Installing (pkg/local): libxslt-1.1.29
Installing (pkg/local): raptor-2.0.8
Installing (pkg/local): libidn2-dev-2.0.0
Installing (pkg/local): openssl-dev-1.1.0g
Installing (pkg/local): zlib-dev-1.2.11
Installing (pkg/local): libssh2-dev-1.8.0
Installing (pkg/local): curl-dev-7.55.1
Installing (pkg/local): libxslt-python-1.1.29
Installing (pkg/local): libgpg-error-dev-1.27
Installing (pkg/local): libgcrypt-dev-1.8.1
Installing (pkg/local): xz-tools-5.2.3
Installing (pkg/local): xz-dev-5.2.3
Installing (pkg/local): libxml2-tools-2.9.4
Installing (pkg/local): libxml2-dev-2.9.4
Installing (pkg/local): libxslt-dev-1.1.29
Installing (pkg/local): raptor-dev-2.0.8
Installing (pkg/local): ladspa-1.13
Installing (pkg/local): ladspa-dev-1.13
Installing (pkg/local): perl-core-5.26.1
Installing (pkg/local): perl-5.26.1
Installing (pkg/local): autoconf-2.69
Installing (pkg/local): automake-1.15.1
Installing (pkg/local): libltdl-2.4.6
Installing (pkg/local): libtool-2.4.6
Extracting source archive "liblrdf-0.4.0.tar.gz"

Executing: compile_rules
CFLAGS   : -march=i486  -Os -pipe -mindirect-branch=thunk

patching file src/lrdf_md5.h
Possibly reversed hunk 5 at 1330
Hunk 5 FAILED 232/233.
     }
 }
 
-static void lrdf_store(void *user_data, const raptor_statement * statement)
+static const char *lrdf_term_as_string(char *tmp, int tmp_len,
+				       const raptor_term *term)
+{
+    switch (term->type) {
+    case RAPTOR_TERM_TYPE_URI:
+	return (const char *) raptor_uri_as_string(term->value.uri);
+    case RAPTOR_TERM_TYPE_LITERAL:
+	return (const char *) term->value.literal.string;
+    case RAPTOR_TERM_TYPE_BLANK:
+	snprintf(tmp, tmp_len, "_:%s.%x", term->value.blank.string, lrdf_uid);
+	return tmp;
+    default:
+	return "(?)";
+    }
+}
+
+static void lrdf_store(void *user_data, raptor_statement * statement)
 {
     lrdf_statement *s = lrdf_alloc_statement();
     char tmps[128], tmpp[128], tmpo[128];
-    char *subj = (char *) statement->subject,
-	 *pred = (char *) statement->predicate,
-	 *obj = (char *) statement->object;
-
-    if (statement->subject_type == RAPTOR_IDENTIFIER_TYPE_ANONYMOUS) {
-	snprintf(tmps, 127, "_:%s.%x", subj, lrdf_uid);
-	subj = tmps;
-    }
-    if (statement->predicate_type == RAPTOR_IDENTIFIER_TYPE_ANONYMOUS) {
-	snprintf(tmpp, 127, "_:%s.%x", pred, lrdf_uid);
-	pred = tmpp;
-    }
-    if (statement->object_type == RAPTOR_IDENTIFIER_TYPE_ANONYMOUS) {
-	snprintf(tmpo, 127, "_:%s.%x", obj, lrdf_uid);
-	obj = tmpo;
-    }
+    const char *subj = lrdf_term_as_string(tmps, 128, statement->subject),
+	       *pred = lrdf_term_as_string(tmpp, 128, statement->predicate),
+	       *obj = lrdf_term_as_string(tmpo, 128, statement->object);
 
     s->shash = lrdf_gen_hash(subj);
     s->phash = lrdf_gen_hash(pred);
patching file src/Makefile.am
patching file src/lrdf.c
patching file configure.ac
patching file lrdf.pc.in
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force 
autoreconf: configure.ac: tracing
autoreconf: running: libtoolize --copy --force
libtoolize: putting auxiliary files in '.'.
libtoolize: copying file './ltmain.sh'
libtoolize: Consider adding 'AC_CONFIG_MACRO_DIRS([m4])' to configure.ac,
libtoolize: and rerunning libtoolize and aclocal.
libtoolize: Consider adding '-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
autoreconf: running: /usr/bin/autoconf --force
autoreconf: running: /usr/bin/autoheader --force
autoreconf: running: automake --add-missing --copy --force-missing
configure.ac:4: warning: AM_INIT_AUTOMAKE: two- and three-arguments forms are deprecated.  For more info, see:
configure.ac:4: http://www.gnu.org/software/automake/manual/automake.html#Modernize-AM_005fINIT_005fAUTOMAKE-invocation
configure.ac:10: installing './compile'
configure.ac:4: installing './missing'
examples/Makefile.am: installing './depcomp'
src/Makefile.am:1: warning: 'CFLAGS' is a user variable, you should not override it;
src/Makefile.am:1: use 'AM_CFLAGS' instead
autoreconf: Leaving directory `.'
configure: loading site script /etc/slitaz/cook.site
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... ./install-sh -c -d
checking for gawk... no
checking for mawk... no
checking for nawk... no
checking for awk... awk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking for gawk... (cached) awk
checking for i486-slitaz-linux-gcc... i486-slitaz-linux-gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether i486-slitaz-linux-gcc accepts -g... yes
checking for i486-slitaz-linux-gcc option to accept ISO C89... none needed
checking whether i486-slitaz-linux-gcc understands -c and -o together... yes
checking for style of include used by make... GNU
checking dependency style of i486-slitaz-linux-gcc... gcc3
checking how to run the C preprocessor... i486-slitaz-linux-gcc -E
checking whether ln -s works... yes
checking whether make sets $(MAKE)... (cached) yes
checking build system type... i486-slitaz-linux-gnu
checking host system type... i486-slitaz-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by i486-slitaz-linux-gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/i486-slitaz-linux-nm -B
checking the name lister (/usr/bin/i486-slitaz-linux-nm -B) interface... BSD nm
checking the maximum length of command line arguments... 1572864
checking how to convert i486-slitaz-linux-gnu file names to i486-slitaz-linux-gnu format... func_convert_file_noop
checking how to convert i486-slitaz-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for i486-slitaz-linux-objdump... i486-slitaz-linux-objdump
checking how to recognize dependent libraries... pass_all
checking for i486-slitaz-linux-dlltool... no
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for i486-slitaz-linux-ar... i486-slitaz-linux-ar
checking for archiver @FILE support... @
checking for i486-slitaz-linux-strip... i486-slitaz-linux-strip
checking for i486-slitaz-linux-ranlib... i486-slitaz-linux-ranlib
checking command to parse /usr/bin/i486-slitaz-linux-nm -B output from i486-slitaz-linux-gcc object... ok
checking for sysroot... no
checking for a working dd... /bin/dd
checking how to truncate binary pipes... /bin/dd bs=4096 count=1
checking for i486-slitaz-linux-mt... no
checking for mt... mt
checking if mt is a manifest tool... no
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if i486-slitaz-linux-gcc supports -fno-rtti -fno-exceptions... no
checking for i486-slitaz-linux-gcc option to produce PIC... -fPIC -DPIC
checking if i486-slitaz-linux-gcc PIC flag -fPIC -DPIC works... yes
checking if i486-slitaz-linux-gcc static flag -static works... yes
checking if i486-slitaz-linux-gcc supports -c -o file.o... yes
checking if i486-slitaz-linux-gcc supports -c -o file.o... (cached) yes
checking whether the i486-slitaz-linux-gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for ANSI C header files... (cached) yes
checking errno.h usability... yes
checking errno.h presence... yes
checking for errno.h... yes
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for unistd.h... (cached) yes
checking for i486-slitaz-linux-pkg-config... /usr/bin/i486-slitaz-linux-pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for raptor2 >= 0.9.11... yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking for size_t... yes
checking for vprintf... yes
checking for _doprnt... no
checking for getcwd... yes
checking for strcasecmp... yes
checking for strchr... yes
checking for strdup... yes
checking for strerror... yes
checking for strncasecmp... yes
checking for strrchr... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating lrdf.pc
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating examples/Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
make  all-recursive
make[1]: Entering directory '/home/slitaz/wok/liblrdf/source/liblrdf-0.4.0'
Making all in src
make[2]: Entering directory '/home/slitaz/wok/liblrdf/source/liblrdf-0.4.0/src'
/bin/bash ../libtool  --tag=CC   --mode=compile i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I..    -march=i486  -Os -pipe -mindirect-branch=thunk -I/usr/include/raptor2 -Wall -g -I.. -MT lrdf.lo -MD -MP -MF .deps/lrdf.Tpo -c -o lrdf.lo lrdf.c
/bin/bash ../libtool  --tag=CC   --mode=compile i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I..    -march=i486  -Os -pipe -mindirect-branch=thunk -I/usr/include/raptor2 -Wall -g -I.. -MT lrdf_multi.lo -MD -MP -MF .deps/lrdf_multi.Tpo -c -o lrdf_multi.lo lrdf_multi.c
/bin/bash ../libtool  --tag=CC   --mode=compile i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I..    -march=i486  -Os -pipe -mindirect-branch=thunk -I/usr/include/raptor2 -Wall -g -I.. -MT md5.lo -MD -MP -MF .deps/md5.Tpo -c -o md5.lo md5.c
libtool: compile:  i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -march=i486 -Os -pipe -mindirect-branch=thunk -I/usr/include/raptor2 -Wall -g -I.. -MT md5.lo -MD -MP -MF .deps/md5.Tpo -c md5.c  -fPIC -DPIC -o .libs/md5.o
libtool: compile:  i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -march=i486 -Os -pipe -mindirect-branch=thunk -I/usr/include/raptor2 -Wall -g -I.. -MT lrdf.lo -MD -MP -MF .deps/lrdf.Tpo -c lrdf.c  -fPIC -DPIC -o .libs/lrdf.o
libtool: compile:  i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -march=i486 -Os -pipe -mindirect-branch=thunk -I/usr/include/raptor2 -Wall -g -I.. -MT lrdf_multi.lo -MD -MP -MF .deps/lrdf_multi.Tpo -c lrdf_multi.c  -fPIC -DPIC -o .libs/lrdf_multi.o
lrdf.c: In function 'lrdf_init':
lrdf.c:74:5: warning: implicit declaration of function 'raptor_init'; did you mean 'raptor_snprintf'? [-Wimplicit-function-declaration]
     raptor_init();
     ^~~~~~~~~~~
     raptor_snprintf
lrdf.c: In function 'lrdf_cleanup':
lrdf.c:115:5: warning: implicit declaration of function 'raptor_finish'; did you mean 'md5_finish'? [-Wimplicit-function-declaration]
     raptor_finish();
     ^~~~~~~~~~~~~
     md5_finish
lrdf.c: In function 'lrdf_store':
lrdf.c:243:20: error: 'raptor_statement {aka const struct <anonymous>}' has no member named 'subject_type'; did you mean 'subject'?
     if (statement->subject_type == RAPTOR_IDENTIFIER_TYPE_ANONYMOUS) {
                    ^~~~~~~~~~~~
                    subject
lrdf.c:243:36: error: 'RAPTOR_IDENTIFIER_TYPE_ANONYMOUS' undeclared (first use in this function); did you mean 'RAPTOR_TERM_TYPE_UNKNOWN'?
     if (statement->subject_type == RAPTOR_IDENTIFIER_TYPE_ANONYMOUS) {
                                    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                    RAPTOR_TERM_TYPE_UNKNOWN
lrdf.c:243:36: note: each undeclared identifier is reported only once for each function it appears in
lrdf.c:247:20: error: 'raptor_statement {aka const struct <anonymous>}' has no member named 'predicate_type'; did you mean 'predicate'?
     if (statement->predicate_type == RAPTOR_IDENTIFIER_TYPE_ANONYMOUS) {
                    ^~~~~~~~~~~~~~
                    predicate
lrdf.c:251:20: error: 'raptor_statement {aka const struct <anonymous>}' has no member named 'object_type'; did you mean 'object'?
     if (statement->object_type == RAPTOR_IDENTIFIER_TYPE_ANONYMOUS) {
                    ^~~~~~~~~~~
                    object
lrdf.c:264:20: error: 'raptor_statement {aka const struct <anonymous>}' has no member named 'object_type'; did you mean 'object'?
     if (statement->object_type == RAPTOR_IDENTIFIER_TYPE_LITERAL) {
                    ^~~~~~~~~~~
                    object
lrdf.c:264:35: error: 'RAPTOR_IDENTIFIER_TYPE_LITERAL' undeclared (first use in this function); did you mean 'RAPTOR_TERM_TYPE_LITERAL'?
     if (statement->object_type == RAPTOR_IDENTIFIER_TYPE_LITERAL) {
                                   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                   RAPTOR_TERM_TYPE_LITERAL
lrdf.c: In function 'lrdf_error_handler':
lrdf.c:547:5: warning: implicit declaration of function 'raptor_print_locator'; did you mean 'raptor_parser_get_locator'? [-Wimplicit-function-declaration]
     raptor_print_locator(stderr, locator);
     ^~~~~~~~~~~~~~~~~~~~
     raptor_parser_get_locator
lrdf.c:550:5: warning: implicit declaration of function 'raptor_parse_abort'; did you mean 'raptor_www_abort'? [-Wimplicit-function-declaration]
     raptor_parse_abort((raptor_parser*)data);
     ^~~~~~~~~~~~~~~~~~
     raptor_www_abort
lrdf.c: In function 'lrdf_read_file_intl':
lrdf.c:596:27: warning: passing argument 1 of 'raptor_new_uri' from incompatible pointer type [-Wincompatible-pointer-types]
     ruri = raptor_new_uri(uri);
                           ^~~
In file included from /usr/include/raptor2/raptor.h:1:0,
                 from lrdf.c:4:
/usr/include/raptor2/raptor2.h:1265:13: note: expected 'raptor_world * {aka struct raptor_world_s *}' but argument is of type 'const char *'
 raptor_uri* raptor_new_uri(raptor_world* world, const unsigned char *uri_string);
             ^~~~~~~~~~~~~~
lrdf.c:596:12: error: too few arguments to function 'raptor_new_uri'
     ruri = raptor_new_uri(uri);
            ^~~~~~~~~~~~~~
In file included from /usr/include/raptor2/raptor.h:1:0,
                 from lrdf.c:4:
/usr/include/raptor2/raptor2.h:1265:13: note: declared here
 raptor_uri* raptor_new_uri(raptor_world* world, const unsigned char *uri_string);
             ^~~~~~~~~~~~~~
lrdf.c:597:27: warning: passing argument 1 of 'raptor_new_uri' from incompatible pointer type [-Wincompatible-pointer-types]
     furi = raptor_new_uri(uri);
                           ^~~
In file included from /usr/include/raptor2/raptor.h:1:0,
                 from lrdf.c:4:
/usr/include/raptor2/raptor2.h:1265:13: note: expected 'raptor_world * {aka struct raptor_world_s *}' but argument is of type 'const char *'
 raptor_uri* raptor_new_uri(raptor_world* world, const unsigned char *uri_string);
             ^~~~~~~~~~~~~~
lrdf.c:597:12: error: too few arguments to function 'raptor_new_uri'
     furi = raptor_new_uri(uri);
            ^~~~~~~~~~~~~~
In file included from /usr/include/raptor2/raptor.h:1:0,
                 from lrdf.c:4:
/usr/include/raptor2/raptor2.h:1265:13: note: declared here
 raptor_uri* raptor_new_uri(raptor_world* world, const unsigned char *uri_string);
             ^~~~~~~~~~~~~~
lrdf.c:602:29: warning: passing argument 1 of 'raptor_new_parser' from incompatible pointer type [-Wincompatible-pointer-types]
  parser = raptor_new_parser("rdfxml");
                             ^~~~~~~~
In file included from /usr/include/raptor2/raptor.h:1:0,
                 from lrdf.c:4:
/usr/include/raptor2/raptor2.h:1133:16: note: expected 'raptor_world * {aka struct raptor_world_s *}' but argument is of type 'char *'
 raptor_parser* raptor_new_parser(raptor_world* world, const char *name);
                ^~~~~~~~~~~~~~~~~
lrdf.c:602:11: error: too few arguments to function 'raptor_new_parser'
  parser = raptor_new_parser("rdfxml");
           ^~~~~~~~~~~~~~~~~
In file included from /usr/include/raptor2/raptor.h:1:0,
                 from lrdf.c:4:
/usr/include/raptor2/raptor2.h:1133:16: note: declared here
 raptor_parser* raptor_new_parser(raptor_world* world, const char *name);
                ^~~~~~~~~~~~~~~~~
lrdf.c:604:29: warning: passing argument 1 of 'raptor_new_parser' from incompatible pointer type [-Wincompatible-pointer-types]
  parser = raptor_new_parser("ntriples");
                             ^~~~~~~~~~
In file included from /usr/include/raptor2/raptor.h:1:0,
                 from lrdf.c:4:
/usr/include/raptor2/raptor2.h:1133:16: note: expected 'raptor_world * {aka struct raptor_world_s *}' but argument is of type 'char *'
 raptor_parser* raptor_new_parser(raptor_world* world, const char *name);
                ^~~~~~~~~~~~~~~~~
lrdf.c:604:11: error: too few arguments to function 'raptor_new_parser'
  parser = raptor_new_parser("ntriples");
           ^~~~~~~~~~~~~~~~~
In file included from /usr/include/raptor2/raptor.h:1:0,
                 from lrdf.c:4:
/usr/include/raptor2/raptor2.h:1133:16: note: declared here
 raptor_parser* raptor_new_parser(raptor_world* world, const char *name);
                ^~~~~~~~~~~~~~~~~
lrdf.c:612:5: warning: implicit declaration of function 'raptor_set_error_handler'; did you mean 'lrdf_error_handler'? [-Wimplicit-function-declaration]
     raptor_set_error_handler(parser, parser, lrdf_error_handler);
     ^~~~~~~~~~~~~~~~~~~~~~~~
     lrdf_error_handler
lrdf.c:613:5: warning: implicit declaration of function 'raptor_set_warning_handler'; did you mean 'lrdf_warning_handler'? [-Wimplicit-function-declaration]
     raptor_set_warning_handler(parser, NULL, lrdf_warning_handler);
     ^~~~~~~~~~~~~~~~~~~~~~~~~~
     lrdf_warning_handler
lrdf.c:614:5: warning: implicit declaration of function 'raptor_set_statement_handler'; did you mean 'raptor_parser_set_statement_handler'? [-Wimplicit-function-declaration]
     raptor_set_statement_handler(parser, &source, lrdf_store);
     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
     raptor_parser_set_statement_handler
lrdf.c:615:5: warning: implicit declaration of function 'raptor_set_default_generate_id_parameters'; did you mean 'raptor_world_set_generate_bnodeid_parameters'? [-Wimplicit-function-declaration]
     raptor_set_default_generate_id_parameters(parser, NULL, ++lrdf_uid);
     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
     raptor_world_set_generate_bnodeid_parameters
libtool: compile:  i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -march=i486 -Os -pipe -mindirect-branch=thunk -I/usr/include/raptor2 -Wall -g -I.. -MT lrdf_multi.lo -MD -MP -MF .deps/lrdf_multi.Tpo -c lrdf_multi.c -o lrdf_multi.o >/dev/null 2>&1
lrdf.c:617:9: warning: implicit declaration of function 'raptor_parse_file'; did you mean 'raptor_locator_file'? [-Wimplicit-function-declaration]
     if (raptor_parse_file(parser, furi, ruri)) {
         ^~~~~~~~~~~~~~~~~
         raptor_locator_file
make[2]: *** [Makefile:430: lrdf.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
libtool: compile:  i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -march=i486 -Os -pipe -mindirect-branch=thunk -I/usr/include/raptor2 -Wall -g -I.. -MT md5.lo -MD -MP -MF .deps/md5.Tpo -c md5.c -o md5.o >/dev/null 2>&1
mv -f .deps/lrdf_multi.Tpo .deps/lrdf_multi.Plo
mv -f .deps/md5.Tpo .deps/md5.Plo
make[2]: Leaving directory '/home/slitaz/wok/liblrdf/source/liblrdf-0.4.0/src'
make[1]: *** [Makefile:482: all-recursive] Error 1
make[1]: Leaving directory '/home/slitaz/wok/liblrdf/source/liblrdf-0.4.0'
make: *** [Makefile:370: all] Error 2

Build dependencies to remove: 31
Removing: autoconf automake curl curl-dev ladspa ladspa-dev libcurl libgcrypt 
libgcrypt-dev libgpg-error libgpg-error-dev libidn2 libidn2-dev libltdl libssh2 
libssh2-dev libtool libxml2 libxml2-dev libxml2-tools libxslt libxslt-dev 
libxslt-python openssl-dev perl perl-core raptor raptor-dev xz-dev xz-tools 
zlib-dev

ERROR: cook failed

Debug information
================================================================================
Cook date: 2018-03-07 05:24
Wasted time : 27s
254:lrdf.c:243:20: error: 'raptor_statement {aka const struct <anonymous>}' has no member named 'subject_type'; did you mean 'subject'?
258:lrdf.c:243:36: error: 'RAPTOR_IDENTIFIER_TYPE_ANONYMOUS' undeclared (first use in this function); did you mean 'RAPTOR_TERM_TYPE_UNKNOWN'?
263:lrdf.c:247:20: error: 'raptor_statement {aka const struct <anonymous>}' has no member named 'predicate_type'; did you mean 'predicate'?
267:lrdf.c:251:20: error: 'raptor_statement {aka const struct <anonymous>}' has no member named 'object_type'; did you mean 'object'?
271:lrdf.c:264:20: error: 'raptor_statement {aka const struct <anonymous>}' has no member named 'object_type'; did you mean 'object'?
275:lrdf.c:264:35: error: 'RAPTOR_IDENTIFIER_TYPE_LITERAL' undeclared (first use in this function); did you mean 'RAPTOR_TERM_TYPE_LITERAL'?
297:lrdf.c:596:12: error: too few arguments to function 'raptor_new_uri'
313:lrdf.c:597:12: error: too few arguments to function 'raptor_new_uri'
329:lrdf.c:602:11: error: too few arguments to function 'raptor_new_parser'
345:lrdf.c:604:11: error: too few arguments to function 'raptor_new_parser'
391:ERROR: cook failed
================================================================================

